Subject: Re: [netatalk-admins] fwd'd mesg

From: "Michael Rothwell" <[email-masked]>
Date: Mon, 7 Jul 1997 13:34:58 -0400

Here's what I got when I just started another afpd (afpd -n Bubba) on
my household server (Linux 2.0.20):

bridge:~# /usr/local/atalk/etc/afpd -n Bubba
bridge:~# nbplkup
	Bubba:AFPServer		24.107:129
	Bridge:AFPServer		24.107:130
	HP LaserJet 5MP:LaserWriter	24.107:128
	Bridge:netatalk			24.107:4
	Bridge:Workstation		24.107:4   
	FrankenMac:  Macintosh	65280.1:250
	FrankenMac:Workstation	65280.1:4 

It shows up as a different node on the same address. And I can mount the
two 'different' servers with different usernames. From FrankenMac (my
wife's Mac -- built from spare parts), I can mount my user space and her
user space simultaneously by logging in twice.

FrankenMac is in a different network because the server has only one
ethernet interface, so atalkd won't seed the network.

Hope it works for you!

--Michael Rothwell

----------
> From: Evan P Cordes <[email-masked]>
> To: [email-masked]
> Subject: [netatalk-admins] fwd'd mesg
> Date: Monday, July 07, 1997 1:07 PM
> 
> 
> ------- Forwarded Message
> 
> Return-Path: [email-masked]
> Received: by terminator.rs.itd.umich.edu (8.8.6/2.3)
> 	id JAA18096; Mon, 7 Jul 1997 09:28:55 -0400 (EDT)
> Message-Id: <[email-masked]>
> Date: Mon, 7 Jul 1997 09:28:55 -0400 (EDT)
> From: [email-masked]
> To: [email-masked]
> Subject: BOUNCE [email-masked]:     Admin
request of type /\bremove\b/i at line 1  
> 
> >From epcordes Mon Jul  7 09:28:49 1997
> Received: from judgmentday.rs.itd.umich.edu by
terminator.rs.itd.umich.edu (8.8.6/2.3)
> 	with ESMTP id JAA18091; Mon, 7 Jul 1997 09:28:49 -0400 (EDT)
> Received: by judgmentday.rs.itd.umich.edu (8.8.5/2.2)
> 	with X.500 id JAA07246; Mon, 7 Jul 1997 09:28:48 -0400 (EDT)
> Received: by judgmentday.rs.itd.umich.edu (8.8.5/2.2)
> 	with X.500 id JAA07239; Mon, 7 Jul 1997 09:28:46 -0400 (EDT)
> Received: from whitby.tees.ac.uk by judgmentday.rs.itd.umich.edu
(8.8.5/2.2)
> 	with SMTP id JAA07121; Mon, 7 Jul 1997 09:28:32 -0400 (EDT)
> From: [email-masked]
> Received: from uk.ac.tees by whitby.tees.ac.uk (4.1/SMI-4.1)
> 	id AA16445; Mon, 7 Jul 97 14:28:30 BST
> Received: from scorch (scorch.tees.ac.uk) by teesside.ac.uk; Mon, 7 Jul
1997 14:28:23 +0100
> Received: from luigi (luigi.tees) by scorch; Mon, 7 Jul 97 14:29:59 BST
> Date: Mon, 7 Jul 97 14:30:52 BST
> Message-Id: <919.9707071330@luigi>
> To: [email-masked]
> Subject: Re: [netatalk-admins] User account & Apps from same server?
> Cc: [email-masked]
> Reply-To: [email-masked]
> 
> - ------HEADER END-DONT REMOVE------ 
> > Hi!
> > 
> > >> I do not exactly understand your situation. Do you want to mount two
> > >> different volumes on the same server using different user names and
> > >> passwords?
> > >> 
> > >
> > >Yup, that's exactly what I want to do.
> > 
> > [this is a public reply after a private question]
> > 
> > This is not possible with netatalk, as you like to have it. The client
> > reuses the session with the afp server for each of its
> > volumes. However (I never tried this, it is just an idea), if the
> > appletalk client thinks, that it it talking to two different servers,
> > it should be possible. I would try to register the server under a
> > different name. Then it would appear twice in the chooser. But I don't
> I tried that, I'm running netatalk on a machine called luigi, which is
aliased
> in the NIS servers yp-map to appleserver, however, even after rebooting
the 
> Unix box the chooser only displays luigi as a viable appleshare server.
> > Registering twice probably can be done by using nbprgstr to register
> > the afp server using a different name or by starting a second afp
> Anybody know how to do this?
> > server using a different name (and probably different configuration).
> It was my understanding that each version of netatalk had to be assigned
to
> a specific ethernet interface, am I wrong in this assumption?
> And finally:
> If neteatalk wont let me login twice to the same server, will CAP?
> later
> jb
> 
> ------- End of Forwarded Message